> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user's debit authorization

> Returns user's debit authorization with amount and status



## OpenAPI

````yaml /swagger.json get /User/{registrationId}/DebitAuth
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /User/{registrationId}/DebitAuth:
    get:
      tags:
        - User
      summary: Get user's debit authorization
      description: Returns user's debit authorization with amount and status
      parameters:
        - name: registrationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: companyId
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetDebitAuthResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetDebitAuthResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetDebitAuthResponse'
components:
  schemas:
    GetDebitAuthResponse:
      type: object
      properties:
        enabled:
          type: boolean
        limit:
          type: integer
          format: int32
        status:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````